> ## Documentation Index
> Fetch the complete documentation index at: https://docs.estream.com/llms.txt
> Use this file to discover all available pages before exploring further.

# TeleMapper Clock In hours



## OpenAPI

````yaml https://tmextapidev.estream.com/index.cfm/swagger get /telemapper/employee_timecard
openapi: 3.0.0
info:
  description: Production server
  version: 1.0.0
  title: eStream API
servers:
  - url: https://tmextapi.estream.com/index.cfm
security: []
tags:
  - name: Authentication 1
  - name: Business
  - name: Employees
  - name: Onboarding
  - name: Orders
  - name: Payroll
  - name: Telemapper
paths:
  /telemapper/employee_timecard:
    get:
      tags:
        - Telemapper
      summary: TeleMapper Clock In hours
      operationId: getEmployeeScheduleEvents
      parameters:
        - in: query
          schema:
            type: string
          description: ''
          required: true
          name: token
        - in: query
          schema:
            type: string
          description: 'Format: mm/dd/yyyy'
          required: true
          name: startDate
        - in: query
          schema:
            type: string
          description: 'Format: mm/dd/yyyy'
          required: true
          name: endDate
        - in: query
          schema:
            type: integer
          description: ''
          required: true
          name: officeId
        - in: query
          schema:
            type: boolean
          description: ''
          required: false
          name: includeFullweek
        - in: query
          schema:
            type: string
          description: ''
          required: false
          name: pIds
        - in: query
          schema:
            type: boolean
          description: ''
          required: false
          name: ignoreCKE
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                properties: {}
                type: object
              example:
                message: success
                code: 200
                success: true
                data:
                  - personpk: xxxx812
                    adjustedstatus: 2
                    clockindate: December, 30 2025 22:45:00
                    lname: Doe
                    realtime: 1
                    is_cke: 0
                    clockoutdate: December, 31 2025 00:42:00
                    isadjusted: 1
                    isendofday: ''
                    thisdate: December, 30 2025 00:00:00
                    email: johndoe@mail.com
                    totaltimeinmin: 117
                    mblclockinpk: xxxx6854
                    fname: John
                    clockoutdateraw: December, 31 2025 00:42:00
                    adminapproved: ''
                    tasktypedisp: Work
                    localenow: January, 07 2026 21:15:43
                    isforcedclockout: 0
                    clockindateformat: 12/30/2025
                    tasktype: clock

````